//  ifdef Ǵʹ DLL 򵥵
// ı׼ DLL еļ϶ SECONDARYANALYSIS_EXPORTS
// űġʹô DLL 
// κĿϲӦ˷šԴļаļκĿὫ
// SECONDARYANALYSIS_API ΪǴ DLL ģ DLL ô˺궨
// ΪǱġ

#include "InfEntity.h"

#ifdef SECONDARYANALYSIS_EXPORTS
#define SECONDARYANALYSIS_API __declspec(dllexport)
#else
#define SECONDARYANALYSIS_API __declspec(dllimport)
#endif


/**
* @brief  get temp offline
* @param[in] srcTempBuffer     src temp data
* @param[in] srcEvn_param      src Environment param
* @param[in] dstEvn_param      dst Environment param
* @param[out] dstTempBuffer    dst temp data
* @return 0:success, -1:fail, 1:not support
*/
SECONDARYANALYSIS_API int sdk_temp_data_correction(float srcTempBuffer, JPG_envir_param srcEvn_param, JPG_envir_param dstEvn_param, float* dstTempBuffer);

/**
* @brief  stretch temp
* @param[in] stretch_param     stretch param struct
* @param[in] image_data        src image data
* @param[out] out_data          dst image data
* @return 0:success, -1:fail, 1:not support
*/
SECONDARYANALYSIS_API int sdk_stretch_temp(Stretch_param stretch_param, unsigned char* image_data, unsigned char* out_data);

/**
* @brief  get irg file param
* @param[in] file     file full path
* @param[out] irg_param     IRG_Param struct
* @return 0:success, -1:fail, 1:not support
*/
SECONDARYANALYSIS_API int sdk_get_irg_param(char* file, IRG_Param* irg_param);

/**
* @brief  get irg file image&temp data
* @param[in] file     file full path
* @param[in] colorIndex     Pseudo-color number
* @param[out] temp_data    temp data   K*10    The caller is responsible for releasing
* @param[out] image_data   image data  YUYV    The caller is responsible for releasing
* @return 0:success, -1:fail, 1:not support
*/
SECONDARYANALYSIS_API int sdk_get_irg_data(char* file, int colorIndex, unsigned short* temp_data, unsigned char* image_data);
